Creators who posted, new, retained, returning and churned per week or month, with monthly cohorts
GET
/api/public/v1/content/creator_activityLiveAnswers from your brand's records now.
Operation id getContentCreatorActivity
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/content/creator_activity" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| campaign_ids | query | string | |
| platform | query | string | One of instagramtik_tokyoutubefacebooktwitter |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.cohorts | array of object | |
| data.cohorts[].[].cohort | string (date) | |
| data.cohorts[].[].rates | array of number, nullable | |
| data.cohorts[].[].size | integer | |
| data.granularity | string | One of weekmonth |
| data.periods | array of object | |
| data.periods[].[].active | integer | |
| data.periods[].[].churned | integer | |
| data.periods[].[].new | integer | |
| data.periods[].[].partial | boolean | |
| data.periods[].[].period_start | string (date) | |
| data.periods[].[].retained | integer | |
| data.periods[].[].retention_rate | number, nullable | |
| data.periods[].[].returning | integer | |
| meta | object | |
| meta.campaign_ids | array of integer | |
| meta.organization_id | integer | |
| meta.platform | string, nullable | |
| meta.scope | string | One of familybrandcampaign |
| success | boolean |
Example
{
"data": {
"cohorts": [
{
"cohort": "2026-11-01",
"rates": [
0.15
],
"size": 3
}
],
"granularity": "week",
"periods": [
{
"active": 3,
"churned": 3,
"new": 3,
"partial": true,
"period_start": "2026-11-01",
"retained": 3,
"retention_rate": 0.15,
"returning": 3
}
]
},
"meta": {
"campaign_ids": [
3
],
"organization_id": 1024,
"platform": "string",
"scope": "family"
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.